# Created by pyp2rpm-3.3.4
%global pypi_name black_hole_solver

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 5
Summary:        Python Wrappers for the C libblack-hole-solver
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/black-hole-solitaire
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/black_hole_solver-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(libblack-hole-solver)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(cffi)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
Requires:       python3dist(cffi)
Requires:       libblack-hole-solver1

%description
The black_hole_solver PyPI distribution provides Python bindings for the
Black Hole Solitaire Solver C API. It can be used by PySol FC to provide
faster bindings for solving Golf solitaire and other variants.

%package -n     python3-%{pypi_name}
Summary:        Python Wrappers for the C libblack-hole-solver
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The black_hole_solver PyPI distribution provides Python bindings for the
Black Hole Solitaire Solver C API. It can be used by PySol FC to provide
faster bindings for solving Golf solitaire and other variants.

%package -n python-%{pypi_name}-doc
Summary:        black-hole-solver documentation
%description -n python-%{pypi_name}-doc
Documentation for black-hole-solver

%prep
%autosetup -n black_hole_solver-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files black_hole_solver

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE docs/LICENSE.rst
%doc docs/README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/LICENSE.rst


%changelog
* Sat Dec 09 2023 papoteur <papoteur> 0.2.3-5.mga10
+ Revision: 2016111
- rebuild for python 3.12

* Fri Apr 01 2022 umeabot <umeabot> 0.2.3-4.mga9
+ Revision: 1839058
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.2.3-3.mga9
+ Revision: 1785721
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 0.2.3-2.mga9
+ Revision: 1706433
- rebuild for python 3.9

* Mon Jun 29 2020 shlomif <shlomif> 0.2.3-1.mga8
+ Revision: 1600347
- pyp2rpm

